[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EObserver

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Error raised when an observer error occurs

## Declaration

Source position: classesh.inc line 182

`type EObserver = class(Exception)`

## Inheritance

`EObserver` |  | Error raised when an observer error occurs
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EObserver is an error that is raised when an object is registered as an observer, and it does not implement the IFPObserver interface.

## See also

IFPObserver |  | Interface for an object to observe other objects.
IFPObserved.FPOAttachObserver |  | Attach a new observer to the object